> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/web/changelogs/version-10/v10-8/v10-8-0.md).

# Version 10.8.0 Changelog (2024-03-20)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

## WebViewer Core

### New

General

* Added `DocumentViewer.unmount` to handle memory cleanup when using DocumentViewer without the WebViewer UI.
* Added support for the Embedded JavaScript `popUpMenu` API.
* Updated night mode to support adjustable contrast.

Annotations

* Added support for GoToR actions in Outlines.
* Added optional parameter `checkWithoutSelectionModel` to `getAnnotationsByMouseEvent` for improved link annotation detection.
* Added `combineRects` API to `Core.Math.Rect` class for generating encompassing Rect from an array of Rects.
* Added `createEncapsulatingBoundingBox` API to `Core.Math.Rect` class for creating an encompassing Rect based on an array of Annotations.
* Enhanced the Free Text annotation feature to support changing the font family and font size for individual words or characters, rather than for the entire annotation. Users can now apply detailed formatting in edit mode, with the ability to adjust the font family and font size for the whole Free Text annotation when it is selected. The update also includes various refinements and updates to the documentation.
* Updated text replace annotation to prioritize caret, aligning with Acrobat standards.

Office Editor

* Added support for opening password-protected Office files.

Content Edit

* Added text composition handling in PDF content edit mode for OS input methods.
* Improved autolink detection accuracy using spatial formatting information.

### Fixes

General

* Fixed an issue with the WebViewer Server retry mechanism causing freezes.
* Fixed an issue where parsing rich text XFDF ending with a semicolon caused errors.
* Fixed an issue where the API for search and replace text could throw an undefined error.
* Fixed an issue causing app instability after switching from the marquee zoom tool.

Annotations

* Fixed an issue where the snipping tool was not reading rotation properties correctly.
* Fixed an issue where Callout annotation text alignment did not work as expected on landscape pages.
* Fixed an issue where annotations with links were not working properly in WebViewer WebComponents.
* Fixed an issue causing multiple `annotationsLoaded` events to trigger for linearized documents.
* Fixed an issue where Highlight Annotations caused annotation drawing to break after page rotation.
* Fixed an issue where annotation groups would ungroup after adding a link.
* Fixed an issue where FreeText annotations had text cutoff with vertical center or bottom alignment.

Content Edit

* Fixed an issue with text replace across line changes.
* Fixed an issue where the text replace progress would get stuck after multiple `Replace` clicks.
* Fixed an issue in Content Edit mode where pasting lists prevented empty paragraphs.

Office Editor

* Fixed a text selection issue around images in Office Editor.
* Fixed an issue in Office Editor where copy and pasting text would not clear the selection.

Mobile

* Fixed an issue where annotations were missing in mobile view with WebViewer Server.

Customize UI

* Fixed an issue where calculating page offsets was incorrect when using transform on a Web Component and performing zoom or scroll actions.

Forms

* Fixed an issue with the `onclick` event when annotations were selected.

Redaction

* Fixed an issue causing WebViewer to freeze when applying redactions.

Template Generation

* Fixed an issue where DOCX to DOCX office templates would error without the template load option.

## WebViewer UI

### New

Annotations

* Added `LinkAnnotationPopup` for displaying link/page content with an unlink option.

Office Editor

* Added table highlight and selection when selection begins outside of the table.
* Added office editor focus loss after context menu interaction.
* Added column x row indicator for doc editor table creation dropdown.
* Updated table creation dropdown cell highlight style for high contrast light mode.
* Improved cursor selection calculation for above or below selections.

Digital Signatures

* Added empty state for LayersPanel and update states for SignaturePanel and FileAttachmentPanel.

### Fixes

General

* Fixed an issue where selecting an option on the Ribbon Items dropdown did not update the Ribbon Item options accordingly.
* Fixed an issue with popup buttons not working in multi-viewer mode.
* Fixed an issue where tool buttons were not displayed when added into containers other than Grouped Items.
* Fixed an issue where the 'S' hotkey didn't work on Web Component.
* Fixed an issue where the method `instance.UI.Flyouts.getAllFlyouts()` was throwing an error and not returning the list of flyouts.
* Fixed an issue where the `setPageLabels` API did not work correctly in `fullAPI` mode.
* Fixed an issue where the watermark modal did not retain previous properties.
* Fixed an issue where the selected annotation or tool showed incorrect properties in the `StylePanel`.
* Fixed an issue where the popup element was displayed in the wrong location in `WebComponent`.
* Fixed an issue where the user was not able to add a custom `data-element` value when adding prebuilt panels for the TabPanel component.
* Fixed an issue where inserting a large number of pages sequentially caused UI problems.

Customize UI

* Fixed an issue where selecting the `Eraser Tool` would close the active grouped item.
* Fixed an issue where setting the font family in the style panel for the redact tool was not working.
* Fixed an issue where the `loadDocument` API was not loading the file when `Feature.MultiTab` was enabled after calling `instance.UI.loadDocument`.
* Fixed an issue where hotkeys did not update the UI in Modular UI.
* Updated new panel APIs to fix rendering errors in modular panel location modifications.

Office Editor

* Fixed an issue where the selected image would not be deleted when creating a new line in the office editor.
* Fixed an issue in the office editor with creating a new paragraph while an image is selected.

Annotations

* Fixed an issue with the calibration in the measurement tool on mobile devices.

Print

* Fixed an issue where single-page preview was not working correctly when using `printInBackground`.
* Fixed an issue with the `PrintModal` crashing when options were disabled via `dataElement`.

Content Edit

* Fixed an issue with click detection in text selection when selecting from right to left.

Forms

* Fixed an issue in `PushButtonWidget` where toggling the read-only field failed to update the inner HTML element's disabled attribute.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/web/changelogs/version-10/v10-8/v10-8-0.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
